Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file
Class FileContentsMuleMessageFactory

    java.lang.Object
      org.mule.transport.AbstractMuleMessageFactory
          org.mule.transport.file.FileMuleMessageFactory
              org.mule.transport.file.FileContentsMuleMessageFactory

All Implemented Interfaces:
  MuleMessageFactory

    public class FileContentsMuleMessageFactory

extends FileMuleMessageFactory

`FileContentsMuleMessageFactory` converts the `ReceiverFileInputStream`'s content into a `byte[]` as payload for the `MuleMessage`.

Field Summary

Fields inherited from class org.mule.transport.AbstractMuleMessageFactory
`muleContext`

Constructor Summary
`FileContentsMuleMessageFactory(MuleContext context)`

Method Summary
`protected Object` | `extractPayload(Object transportMessage, String encoding)`
`protected Class<?>[]` | `getSupportedTransportMessageTypes()`

Methods inherited from class org.mule.transport.file.FileMuleMessageFactory
`addProperties, convertToFile, setPropertiesFromFile`

Methods inherited from class org.mule.transport.AbstractMuleMessageFactory
`addAttachments, create, create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileContentsMuleMessageFactory

    public FileContentsMuleMessageFactory(MuleContext context)

Method Detail

### getSupportedTransportMessageTypes

    protected Class<?>[] getSupportedTransportMessageTypes()

  Overrides:
    `getSupportedTransportMessageTypes` in class `FileMuleMessageFactory`

### extractPayload

    protected Object extractPayload(Object transportMessage,
                                    String encoding)
                             throws Exception

  Overrides:
    `extractPayload` in class `FileMuleMessageFactory`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.